BATTENBERG_CN_TO_VCF(1)

NAME
battenberg_CN_to_VCF.pl - Take CGP copy number algorithm segment output and convert to VCF format.

SYNOPSIS
battenberg_CN_to_VCF.pl [options]

    Required parameters:
      -sample-bam-mut                  -sbm  Mutant sample bam file.
      -sample-bam-norm                 -sbw  Normal sample bam file.
      -reference                       -r    Reference file
      -sample-sequencing-protocol-mut  -msq  Sample Sequencing Protocol.
      -sample-sequencing-protocol-norm -wsq  Sample Sequencing Protocol.

    Optional parameters:
      -in-file                         -i    Input file. [STDIN]
      -out-file                        -o    Output file [STDOUT].
      -reference-species               -rs   Reference species [BAM HEADER].
      -reference-assembly              -ra   Reference assembly [BAM HEADER].
      -sample-study-mut                -mss  Mut sample study.
      -sample-accession-mut            -msa  Mut sample accession [BAM HEADER].
      -sample-accession-source-mut     -msc  Mut sample accession source.
      -seq-platform-mut                -msp  Mut sequencing platform. [BAM HEADER]
      -sample-study-norm               -wss  Normal sample study.
      -sample-accession-norm           -wsa  Normal sample accession [BAM HEADER].
      -sample-accession-source-norm    -wsc  Normal sample accession source.
      -seq-platform-norm               -wsp  Normal sequencing platform [BAM HEADER].

    Other:
     -help     -h   Brief help message.
     -man      -m   Full documentation.
     -version  -v   Version information.

PARAMETERS

-out-file
    File to write VCF format output to. If not provided STDOUT is used.

-in-file
    File to read segment information from. If not provided STDIN is used.

-sample-study-mut
    Study of mutant sample

-sample-accession-mut
    Accession of mutant sample

-sample-accession-source-mut
    Source of mutant sample accession

-sample-platform-mut
    Platform used to sequence mutant sample

-sample-sequencing-protocol-mut
    Protocol used in sequencing mutant sample

-sample-description-mut
    Description of mutant sample

-sample-study-norm
    Study of normal sample

-sample-accession-norm
    Accession of normal sample

-sample-accession-source-norm
    Source of normal sample accession

-sample-platform-norm
    Platform used to sequence normal sample

-sample-sequencing-protocol-norm
    Protocol used in sequencing normal sample

-sample-description-norm
    Description of normal sample

-sample-bam-mut
    Mutant sample bam file

-sample-bam-norm
    Normal sample bam file

-reference-species
    Reference assembly

-reference-assembly
    Reference species

-reference
    Reference file

-version
    Print version information.

-help
    Print a brief help message and exits.

-man
    Prints the manual page and exits.

DESCRIPTION
CN_to_VCF.pl will attempt convert the input segmented file into VCF copy number format.